//Napisati funkciju koja izracunava broj koji se dobija kada se binarni zapis
//argumenata cita u suprotnom smeru. 

//Resenje kolege Ivana Radivojevica
#include <iostream>
using namespace std;

unsigned long obrnut (unsigned long n)
{
	unsigned long result=0;
	result=n&1;
	while ((n!=0) && (n!=1))
	{
		n>>=1;
		result<<=1;
		result|=n&1;
	}
	return result;
}

int main()
{
	unsigned long i=8;
	i=obrnut(i);
	cout << i << endl;

	return 0;
}